MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::Enumerator< T > Class Template Reference

`#include <MyGUI_Enumerator.h>`

## Public Member Functions
| Enumerator (const T &_container)
| Enumerator (typename T::const_iterator _first, typename T::const_iterator _end)
bool | next ()
T::const_reference | operator-> () const
T::const_reference | current ()

## Detailed Description

### template<typename T>
class MyGUI::Enumerator< T >

Definition at line 48 of file MyGUI_Enumerator.h.

## Constructor & Destructor Documentation

template<typename T >

MyGUI::Enumerator< T >::Enumerator | ( | const T & | _container | ) |
| inline explicit

Definition at line 56 of file MyGUI_Enumerator.h.

template<typename T >

MyGUI::Enumerator< T >::Enumerator | ( | typename T::const_iterator | _first,
|  | typename T::const_iterator | _end
| ) |  |
| inline

Definition at line 63 of file MyGUI_Enumerator.h.

## Member Function Documentation

template<typename T >

T::const_reference MyGUI::Enumerator< T >::current | ( |  | ) |
| inline

Definition at line 91 of file MyGUI_Enumerator.h.

template<typename T >

bool MyGUI::Enumerator< T >::next | ( |  | ) |
| inline

Definition at line 70 of file MyGUI_Enumerator.h.

template<typename T >

T::const_reference MyGUI::Enumerator< T >::operator-> | ( |  | ) | const
| inline

Definition at line 85 of file MyGUI_Enumerator.h.

The documentation for this class was generated from the following file:

- MyGUI_Enumerator.h